using System;

namespace Aurora.Frontend.Views.Songs
{
    public class Song
    {
        public Song()
        {
        }

        /// <summary>
        /// The title of the song.
        /// </summary>
        /// <value></value>
        public string Title { get; set; }

        /// <summary>
        /// The artist of the song.
        /// </summary>
        /// <value></value>
        public string Artist { get; set; }

        /// <summary>
        /// The album from which the song belongs.
        /// </summary>
        /// <value></value>
        public string Album { get; set; }

        /// <summary>
        /// The duration of the song.
        /// </summary>
        /// <value></value>
        public string Duration { get; set; }

        /// <summary>
        /// Extra data associated with a song.
        /// </summary>
        /// <value></value>
        public object Metadata { get; set; }
    }
}